Define initial issue status in workflow setting
Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues workflow Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description
Excuse me if this is already possible (I really din't find a way to achieve it):

I would like to be able to limit the available status set when creating a new issue ticket. Currently this is implicitly defined by the follow
up statuses of the "New" state (default state).

What | would like to propose is the following:
In the workflow table please add a new top most row (without a "from" status) which defines which initial statuses are available when
creating a new issue ticket.

This would be completely consistent with the rest of the table and would make the workflow management more flexible and clear.

It seems that this change touches the "default status" setting in a way. I'm actually not sure how to deal with this globally defined
status property.

Comments are much appreciated.

Related issues:
Is duplicate of Redmine - Feature #5816: New issue initial status should be s... Closed 2010-07-05

History

#1 - 2013-01-07 16:08 - Scott Roland

| agree with this completely.

Problem
In my current setup, new issues can be assigned 3 states. | only want them to be assigned to 1 state: New.

The other two states that Redmine offers as an option are the states that the Author of an Issue is allowed to modify 'New' issues to have. In my case
that is Closed and Rejected. It does not make any sense for a new ticket to be created with a status of Closed or Rejected.

Solution

| can understand that some people may want to create a ticket with a status of New or In Progress. Therefore, an extra 'NONE' row is needed in the
Workflow settings, as suggested by Mirko.

#2 - 2013-04-08 08:31 - Jan Harms
duplicate of #5816

#3 - 2013-04-08 10:00 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Duplicate

Jan Harms wrote:

duplicate of #5816

Thank you for your pointing.

2025-05-17 1/1



https://www.redmine.org/issues/5816
https://www.redmine.org/issues/5816
http://www.tcpdf.org

